[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ParentFont

Indicates if the Font from the Parent control is used in the control.

## Declaration

Source position: controls.pp line 1576

`protected property TControl.ParentFont : Boolean read FParentFont write SetParentFont default True;`

## Description

While ParentFont is True, changes to the font in the Parent are also applied to the Font for the control. This synchronizes them, keeping them set to the same value. If the value in Font is changed by the application, then ParentFont will automatically be set to False.

The default value for ParentFont is True.

## See also

TControl.Font |  | The font to be used for text display in this control.
TControl.Parent |  | The control within which the control is shown.